Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.util
Class ObjectDetachOperation

    java.lang.Object
      org.apache.cayenne.util.ObjectDetachOperation

    public class ObjectDetachOperation

extends java.lang.Object

An operation that creates a subgraph of detached objects, using the PrefetchTree to delineate the graph boundaries. Target objects can be described by a different set of descriptors, thus allowing server-to-client conversion to happen in the process.

Since:
  1.2
Author:
  Andrus Adamchik

Field Summary
`protected java.util.Map` | `seen`
`protected EntityResolver` | `targetResolver`

Constructor Summary
`ObjectDetachOperation(EntityResolver targetResolver)`

Method Summary
`java.lang.Object` | `detach(java.lang.Object object, ClassDescriptor descriptor, PrefetchTreeNode prefetchTree)` "Detaches" an object from its context by creating an unattached copy.
`void` | `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### targetResolver

    protected EntityResolver targetResolver

### seen

    protected java.util.Map seen

Constructor Detail

### ObjectDetachOperation

    public ObjectDetachOperation(EntityResolver targetResolver)

Method Detail

### reset

    public void reset()

### detach

    public java.lang.Object detach(java.lang.Object object,
                                   ClassDescriptor descriptor,
                                   PrefetchTreeNode prefetchTree)

  "Detaches" an object from its context by creating an unattached copy. The copy is created using target descriptor of this operation that may be different from the object descriptor passed to this method.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.